/// [FlumDirection] controls the direction of the shimmer effect
///
enum FlumDirection {
  /// Default direction is [FlumDirection.leftToRight], which starts the
  /// shimmer effect animation from left to right side of the child Widget.
  leftToRight,

  /// Direction [FlumDirection.rightToLeft], which starts the shimmer
  /// effect animation from right to left side of the child Widget.
  rightToLeft,

  /// Direction [FlumDirection.topToBottom], which starts the shimmer
  /// effect animation from top to bottom side of the child Widget.
  topToBottom,

  /// Direction [FlumDirection.bottomToTop], which starts the shimmer
  /// effect animation from bottom to top side of the child Widget.
  bottomToTop
}
