/// [FlumButtonType] is used to change the type of widgets
enum FlumButtonType {
  /// Default type is [FlumButtonType.solid], used to fill with color for widget
  solid,

  /// Type [FlumButtonType.outline], used for widget with outline border and fill color with Colors.transparent
  outline,

  /// Type [FlumButtonType.outline2x], used for widget with outline2x border and border.width = 2.0 and fill color with Colors.transparent
  outline2x,

  /// Type [FlumButtonType.transparent], used for widget with fill color with Colors.transparent
  transparent
}
